/* Centraliza verticalmente o carousel-caption */
.carousel-caption {
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
  justify-content: start !important;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 0;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 0;
  max-width: 60%;
  padding-left: 45px;
  padding-right: 3em;
}

.carousel-item:nth-child(2) .slider-text {
  color: #000; /* Replace #your_custom_color with your desired color */
}

.carousel-item img {
  object-fit: cover;
  max-width: 100%;
}

#home-section {
  margin-top: auto;
  display: flex;
}

.container-fluid {
  width: auto;
}

.subheading {
  font-weight: 600;
  font-size: 14px;
  letter-spacing: 3px;
  text-transform: uppercase;
  color: #fff;
}

.title {
  font-size: 55px;
  color: #fff;
  line-height: 1.2;
  font-weight: 800;
}

.title-second-image {
  color: #000; /* Replace with your desired color */
}

@media (max-width: 1250px) {
  #home-section {
    margin-top: 60px;
  }

  .carousel-item img {
    height: 100%;
  }
}

/* Estilos para telas menores que 576px */
@media (max-width: 575.98px) {
  .carousel-caption {
    max-width: 100%;
    padding: 0 15px;
  }

  .carousel-item {
    height: auto;
  }

  #home-section {
    margin-top: auto;
  }

  .mobile-subtitle {
    font-size: 1em;
    margin-top: -115px;
  }
  
  .mobile-title {
    font-size: 1.5em;
    margin-top: -110px;
  }

}